%define rname	  KGRUBEditor
%define rversion  0.8.5-src

Name:           kgrubeditor
Version:        0.8.5
Release:        %mkrel 6
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Graphical desktop/KDE4
Summary:        KDE utility to edit GRUB's configuration files
Source:         %{rname}-%{rversion}.tar.xz
URL:            http://sourceforge.net/projects/kgrubeditor
BuildRequires:  kdelibs4-devel
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%{name} < %version

%description
KGRUBEditor is a KDE utility, that edits GRUB's configuration files through an
inituitive user interface. It combines both ease of use with flexibility
and is the perfect solution for those who want to configure GRUB,
without messing with its files. Use at your own risk!

Located in Sytem -> Configuration -> Boot and Init

%description -l de
KGRUBEditor ist ein KDE-Programm, das GRUB-Konfigurationsdateien durch eine Bearbeitung
auch intuitiv Benutzeroberfläche. Es verbindet beide Benutzerfreundlichkeit mit Flexibilität
und ist die perfekte Lösung für diejenigen, die Konfiguration von GRUB wollen,
Messing, ohne mit den Dateien ". Benutzung auf eigene Gefahr!

%description -l fr
KGRUBEditor est un utilitaire de KDE, qui modifie les fichiers de configuration de GRUB par un
Interface utilisateur inituitive. Il combine la facilité d'utilisation avec une flexibilité
et est la solution parfaite pour ceux qui veulent configurer GRUB,
sans toucher à ses fichiers. A utiliser à vos risques et périls!

%description -l es
KGRUBEditor es una utilidad de KDE, que edite archivos de configuración de GRUB a través de una
interfaz de usuario inituitive. Se combina la facilidad de uso con la flexibilidad
y es la solución perfecta para aquellos que quieren configurar GRUB,
sin jugar con sus archivos. Utilice a su propio riesgo!

%description -l pl
KGRUBEditor jest KDE użytkowych, że modyfikacje GRUB plików konfiguracyjnych poprzez
inituitive interfejs użytkownika. To łączy łatwość użytkowania z elastycznością
i jest idealnym rozwiązaniem dla tych, którzy chcą skonfigurować GRUB
nie ingerować w jej archiwach. Użyj na własne ryzyko!

%description -l sr
КГРУБЕдитор је КДЕ програм, то је измена конфигурационих датотека ГРУБ-а преко
инитуитиве кориснички интерфејс. Она комбинује и лакоћу коришћења са флексибилности
и савршено решење за оне који желе да подесите ГРУБ-а,
без петљају са датотекама. Користе на сопствени ризик!

%description -l nl
KGRUBEditor is een KDE-utility, dat GRUB configuratie-bestanden bewerkingen door middel van een
inituitive user interface. Het combineert gebruiksgemak met een flexibiliteit
en is de perfecte oplossing voor degenen die willen voor het configureren van GRUB,
zonder knoeien met haar bestanden. Gebruik op eigen risico!

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
make -C build DESTDIR=%buildroot install


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-BootandInit" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop



%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc COPYING README INSTALL ChangeLog
%_libdir/kde4/kgrubeditor.so
%_datadir/applications/kde4/kgrubeditor_app.desktop
%_datadir/apps/kgrubeditor/icons/*.png
%_datadir/config.kcfg/kgrubeditor.kcfg
%_datadir/config/kgrubeditor_splash.knsrc
%_datadir/icons/hicolor/*/apps/kgrubeditor.png
%_datadir/icons/hicolor/scalable/apps/kgrubeditor.svgz
%_datadir/kde4/services/kgrubeditor.desktop


%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.8.5-5pclos2010
- rebuild for 4.5.1

* Tue Mar 09 2010 Texstar <texstar at gmail.com> 0.8.5-4pclos2010
- rebuild

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.8.5-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com>
- rebuild for 2010

* Mon Aug 23 2009 Texstar <texstar at gmail.com> 0.8.5-1pclos2009
- create

